//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.5.1 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.01 at 10:37:53 PM CET 
//


package com.autorska.prava.AutorskaPrava.model.a1Obrazac;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the rs.ac.uns.ftn.jaxb.example1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: rs.ac.uns.ftn.jaxb.example1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava createZahtevZaAutorskaISrodnaPrava() {
        return new ZahtevZaAutorskaISrodnaPrava();
    }

    /**
     * Create an instance of {@link TLice }
     * 
     */
    public TLice createTLice() {
        return new TLice();
    }

    /**
     * Create an instance of {@link TPravnoLice }
     * 
     */
    public TPravnoLice createTPravnoLice() {
        return new TPravnoLice();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.PriloziUzZahtev }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.PriloziUzZahtev createZahtevZaAutorskaISrodnaPravaPriloziUzZahtev() {
        return new ZahtevZaAutorskaISrodnaPrava.PriloziUzZahtev();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo createZahtevZaAutorskaISrodnaPravaAutorskoDelo() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela createZahtevZaAutorskaISrodnaPravaAutorskoDeloAutoriDela() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Koautor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Koautor createZahtevZaAutorskaISrodnaPravaAutorskoDeloAutoriDelaKoautor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Koautor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Autor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Autor createZahtevZaAutorskaISrodnaPravaAutorskoDeloAutoriDelaAutor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Autor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade createZahtevZaAutorskaISrodnaPravaAutorskoDeloZasnovanoNaDeluPrerade() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela createZahtevZaAutorskaISrodnaPravaAutorskoDeloZasnovanoNaDeluPreradeAutoriIzvornogDela() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Koautor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Koautor createZahtevZaAutorskaISrodnaPravaAutorskoDeloZasnovanoNaDeluPreradeAutoriIzvornogDelaKoautor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Koautor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Autor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Autor createZahtevZaAutorskaISrodnaPravaAutorskoDeloZasnovanoNaDeluPreradeAutoriIzvornogDelaAutor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Autor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.PodnosilacZahteva }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.PodnosilacZahteva createZahtevZaAutorskaISrodnaPravaPodnosilacZahteva() {
        return new ZahtevZaAutorskaISrodnaPrava.PodnosilacZahteva();
    }

    /**
     * Create an instance of {@link Adresa }
     * 
     */
    public Adresa createAdresa() {
        return new Adresa();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.Zavod }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.Zavod createZahtevZaAutorskaISrodnaPravaZavod() {
        return new ZahtevZaAutorskaISrodnaPrava.Zavod();
    }

    /**
     * Create an instance of {@link TFizickoLice }
     * 
     */
    public TFizickoLice createTFizickoLice() {
        return new TFizickoLice();
    }

    /**
     * Create an instance of {@link TLice.Ime }
     * 
     */
    public TLice.Ime createTLiceIme() {
        return new TLice.Ime();
    }

    /**
     * Create an instance of {@link TLice.Prezime }
     * 
     */
    public TLice.Prezime createTLicePrezime() {
        return new TLice.Prezime();
    }

    /**
     * Create an instance of {@link TPravnoLice.PoslovnoIme }
     * 
     */
    public TPravnoLice.PoslovnoIme createTPravnoLicePoslovnoIme() {
        return new TPravnoLice.PoslovnoIme();
    }

    /**
     * Create an instance of {@link TPravnoLice.SedisteOrganizacije }
     * 
     */
    public TPravnoLice.SedisteOrganizacije createTPravnoLiceSedisteOrganizacije() {
        return new TPravnoLice.SedisteOrganizacije();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.PriloziUzZahtev.PrimerAutorskogDela }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.PriloziUzZahtev.PrimerAutorskogDela createZahtevZaAutorskaISrodnaPravaPriloziUzZahtevPrimerAutorskogDela() {
        return new ZahtevZaAutorskaISrodnaPrava.PriloziUzZahtev.PrimerAutorskogDela();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.NaslovAutorskogDela }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.NaslovAutorskogDela createZahtevZaAutorskaISrodnaPravaAutorskoDeloNaslovAutorskogDela() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.NaslovAutorskogDela();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AlternativniNaslovAutorskogDela }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AlternativniNaslovAutorskogDela createZahtevZaAutorskaISrodnaPravaAutorskoDeloAlternativniNaslovAutorskogDela() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AlternativniNaslovAutorskogDela();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.VrstaAutorskogDela }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.VrstaAutorskogDela createZahtevZaAutorskaISrodnaPravaAutorskoDeloVrstaAutorskogDela() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.VrstaAutorskogDela();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Koautor.ZivKoautor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Koautor.ZivKoautor createZahtevZaAutorskaISrodnaPravaAutorskoDeloAutoriDelaKoautorZivKoautor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Koautor.ZivKoautor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Koautor.PreminuoKoautor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Koautor.PreminuoKoautor createZahtevZaAutorskaISrodnaPravaAutorskoDeloAutoriDelaKoautorPreminuoKoautor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Koautor.PreminuoKoautor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Autor.ZivAutor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Autor.ZivAutor createZahtevZaAutorskaISrodnaPravaAutorskoDeloAutoriDelaAutorZivAutor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Autor.ZivAutor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Autor.PreminuoAutor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Autor.PreminuoAutor createZahtevZaAutorskaISrodnaPravaAutorskoDeloAutoriDelaAutorPreminuoAutor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.AutoriDela.Autor.PreminuoAutor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Koautor.ZivKoautor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Koautor.ZivKoautor createZahtevZaAutorskaISrodnaPravaAutorskoDeloZasnovanoNaDeluPreradeAutoriIzvornogDelaKoautorZivKoautor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Koautor.ZivKoautor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Koautor.PreminuoKoautor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Koautor.PreminuoKoautor createZahtevZaAutorskaISrodnaPravaAutorskoDeloZasnovanoNaDeluPreradeAutoriIzvornogDelaKoautorPreminuoKoautor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Koautor.PreminuoKoautor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Autor.ZivAutor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Autor.ZivAutor createZahtevZaAutorskaISrodnaPravaAutorskoDeloZasnovanoNaDeluPreradeAutoriIzvornogDelaAutorZivAutor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Autor.ZivAutor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Autor.PreminuoAutor }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Autor.PreminuoAutor createZahtevZaAutorskaISrodnaPravaAutorskoDeloZasnovanoNaDeluPreradeAutoriIzvornogDelaAutorPreminuoAutor() {
        return new ZahtevZaAutorskaISrodnaPrava.AutorskoDelo.ZasnovanoNaDeluPrerade.AutoriIzvornogDela.Autor.PreminuoAutor();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.PodnosilacZahteva.EMail }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.PodnosilacZahteva.EMail createZahtevZaAutorskaISrodnaPravaPodnosilacZahtevaEMail() {
        return new ZahtevZaAutorskaISrodnaPrava.PodnosilacZahteva.EMail();
    }

    /**
     * Create an instance of {@link ZahtevZaAutorskaISrodnaPrava.PodnosilacZahteva.PotipsPodnosiocaPrijave }
     * 
     */
    public ZahtevZaAutorskaISrodnaPrava.PodnosilacZahteva.PotipsPodnosiocaPrijave createZahtevZaAutorskaISrodnaPravaPodnosilacZahtevaPotipsPodnosiocaPrijave() {
        return new ZahtevZaAutorskaISrodnaPrava.PodnosilacZahteva.PotipsPodnosiocaPrijave();
    }

}
